=== debian/changelog ===
hyprpaper (0.7.0-1ubuntu1) plucky; urgency=medium

  * Update build dependencies:
    - libcairo-dev to libcairo2-dev
    - libjpeg62-turbo-dev to libjpeg-dev (which provides the turbo version)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 08 Apr 2025 13:53:27 +0200

hyprpaper (0.7.0-1) unstable; urgency=low

  * Initial release. Closes: #1065699
  * Included a simple man page for hyprpaper (uses pandoc for building).

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Fri, 08 Mar 2024 19:01:08 +0000
