=== debian/control ===
Source: hyprpaper
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
Build-Depends: cmake,
               debhelper-compat (= 13),
               pkgconf,
               libcairo2-dev,
               libhyprlang-dev,
               libjpeg-dev,
               libmagic-dev,
               libpango1.0-dev,
               libwayland-dev,
               libwebp-dev,
               libwlroots-dev,
               ninja-build,
               pandoc
Standards-Version: 4.7.0
Homepage: https://github.com/hyprwm/hyprpaper
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/NyxTrail/hyprpaper.git
Vcs-Browser: https://salsa.debian.org/NyxTrail/hyprpaper

Package: hyprpaper
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Wallpaper utility for Hyprland
 Hyprpaper is a blazing fast wallpaper utility for Hyprland
 (and other wlroots-based compositors) with the ability to
 dynamically change wallpapers through sockets.
