=== debian/changelog ===
hyprpaper (0.7.6-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release 0.7.6 (Closes: #1106522)
    - Also fixes FTBFS with cmake 4 (Closes: #1112999)
  * Switch libjpeg64-turbo-dev build-dep to libjpeg-dev (Closes: #1090808)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 13 Oct 2025 11:17:06 +0800

hyprpaper (0.7.4-1) UNRELEASED; urgency=medium

  * New upstream version 0.7.4

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Sun, 02 Mar 2025 10:32:11 +0000

hyprpaper (0.7.1-1) UNRELEASED; urgency=medium

  * New upstream version 0.7.1

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Sun, 22 Sep 2024 09:37:04 +0000

hyprpaper (0.7.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upgrade to wlroots-0.18. Closes: #1092436

 -- Bastian Germann <bage@debian.org>  Thu, 17 Apr 2025 16:35:16 +0200
