=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: hyprpaper
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
+Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
 Build-Depends: cmake,
                debhelper-compat (= 13),
+               hyprwayland-scanner (>= 0.4.2),
                pkgconf,
-               libcairo2-dev,
+               libcairo-dev,
                libhyprlang-dev,
+               libhyprgraphics-dev (>= 0.1.1),
+               libhyprutils-dev (>= 0.2.2),
                libjpeg-dev,
                libmagic-dev,
                libpango1.0-dev,
                libwayland-dev,
                libwebp-dev,
-               libwlroots-dev,
+               libwlroots-0.18-dev,
                ninja-build,
                pandoc
 Standards-Version: 4.7.0
