=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 # hyprpaper uses the 'clear' target instead of a 'clean' target
 override_dh_auto_clean:
 	dh_auto_clean
+	rm -rf protocols/*.hpp protocols/*.cpp
 	rm -rf *.c *.h obj-x86_64-linux-gnu/
 
 override_dh_auto_configure:
