=== debian/changelog ===
hyprpaper (0.8.3-1) unstable; urgency=medium

  * [9ddde97] New upstream version 0.8.3

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 30 Jan 2026 17:16:46 +0800

hyprpaper (0.8.2-1) UNRELEASED; urgency=medium

  * New upstream version 0.8.2

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 28 Jan 2026 16:48:34 +0800

hyprpaper (0.8.1-1) UNRELEASED; urgency=medium

  * New upstream version 0.8.1
  * Build-dep on hyprwire-scanner

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 05 Jan 2026 11:33:58 +0800

hyprpaper (0.8.0-1) UNRELEASED; urgency=medium

  * New upstream version 0.8.0
  * d/control: Update build-deps
    - Drop cairo, pango and hyprgraphics
    - Add hyprtoolkit pixman, and drm
  * d/copyright: Add myself

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 02 Jan 2026 13:07:33 +0800

hyprpaper (0.7.6-1) unstable; urgency=medium

  * Salvage package (Closes: #1122647)
  * Update build-deps
    - Change libcairo-dev to libcairo2-dev (Closes: #1102375)
    - Drop libwlroots-0.18-dev which is no longer used (Closes: #1122203)
    - Add libgles-dev, libopengl-dev and wayland-protocols (previously
      transitive dependencies of wlroots)
    - Update versions on hyprutils and hyprlang
  * Update maintainer to Debian Hyprland team
  * Reindent Build-Depends to match team convention
  * Update Vcs-* fields to point to hyprland-team

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 12 Dec 2025 22:29:57 +0800
