=== debian/control ===
Source: hyprpaper
Section: x11
Priority: optional
Maintainer: Debian Hyprland Maintainers <team+hyprland@tracker.debian.org>
Uploaders:
 Chow Loong Jin <hyperair@debian.org>,
 Carl Keinath <carl.keinath@gmail.com>,
 Alan M Varghese (NyxTrail) <alan@digistorm.in>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 hyprwayland-scanner (>= 0.4.2),
 hyprwire-scanner,
 pkgconf,
 libdrm-dev,
 libgles-dev,
 libhyprlang-dev (>= 0.6.0),
 libhyprtoolkit-dev (>= 0.4.1),
 libhyprutils-dev (>= 0.2.4),
 libhyprwire-dev,
 libjpeg-dev,
 libmagic-dev,
 libopengl-dev,
 libpixman-1-dev,
 libwayland-dev,
 libwebp-dev,
 ninja-build,
 pandoc,
 wayland-protocols (>= 1.35)
Standards-Version: 4.7.0
Homepage: https://github.com/hyprwm/hyprpaper
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/hyprland-team/hyprpaper.git
Vcs-Browser: https://salsa.debian.org/hyprland-team/hyprpaper

Package: hyprpaper
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Wallpaper utility for Hyprland
 Hyprpaper is a blazing fast wallpaper utility for Hyprland
 (and other wlroots-based compositors) with the ability to
 dynamically change wallpapers through sockets.
